
Redmine - Feature #6945

Add a voting system to help users help admins identify popular features/defects

2010-11-19 14:33 - Alex Bevilacqua

Status: New Start date: 2010-11-19

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

A lot of issues have generic responses such as

+1

 or

me too

 Which isn't aggregated in any way that may help the redmine admins identify feature popularity.

I'd like to suggest either using/extending the Redmine Vote Plugin or doing something similar to allow users to interact with issues in

a way that can later be used to establish priority of a task towards a future release.

Related issues:

Related to Redmine - Feature #1011: Add voting to tickets New 2008-04-07

Related to Redmine - Feature #11655: Implementation of a Issue Voting Closed

Related to Redmine - Feature #17288: Use Watcher Count as a poor man's Voting... New

Related to Redmine - Feature #24946: Issue rating (like button or vote up but... New

Has duplicate Redmine - Feature #21519: vote for tickets Closed

History

#1 - 2010-11-19 14:37 - Alex Bevilacqua

- Assignee deleted (Jean-Philippe Lang)

Jean-Philippe was automatically assigned when I created this ... I won't remove him, but I don't want him to think I was being presumptuous ;)

#2 - 2010-11-19 14:37 - Alex Bevilacqua

- Assignee set to Jean-Philippe Lang

Sorry, I accidentally removed him when I said I wouldn't :P

#3 - 2010-11-19 14:39 - Alex Bevilacqua

Note that this is a direct request against Feature #2009, which has a number of votes, but you have to manually go through the thread to gauge the

'popularity'

#4 - 2010-11-20 00:42 - Mischa The Evil

Alex Bevilacqua wrote:

Note that this is a direct request against Feature #2009, which has a number of votes, but you have to manually go through the thread to gauge

the 'popularity'

 I don't see any relation between this issue and issue #2009? Can you please explain your reference?

#5 - 2010-11-20 00:50 - Alex Bevilacqua
Mischa The Evil wrote:

Alex Bevilacqua wrote:

Note that this is a direct request against Feature #2009, which has a number of votes, but you have to manually go through the thread to

gauge the 'popularity'

 I don't see any relation between this issue and issue #2009? Can you please explain your reference?

 Mischa,

I don't think I used my example very well. What I meant was that Feature #2009 has gotten a lot of positive feedback and '+1' votes, but without a

more structured voting system, the only way to establish that that feature request is 'popular' is to manually check the issue's comments.

There is no direct relationship with Feature #2009, I just thought it would be a good candidate for a votable feature request :P

#6 - 2010-11-24 14:49 - Felix Schäfer

Alex Bevilacqua wrote:

without a more structured voting system, the only way to establish that that feature request is 'popular' is to manually check the issue's

comments.

 I'm not going after "popular" requests, and I think most if not all other contributors don't either, so installing this would only give a false sense of

someone actually caring.

#7 - 2010-11-24 15:19 - Alex Bevilacqua

Felix Schäfer wrote:

Alex Bevilacqua wrote:

without a more structured voting system, the only way to establish that that feature request is 'popular' is to manually check the issue's

comments.

 I'm not going after "popular" requests, and I think most if not all other contributors don't either, so installing this would only give a false sense of

someone actually caring.

 Regardless of whether the core devs use this to establish priority, there's still value in maintaining a 'popularity' metric on issues.

For example, if this were something that users could sort/filter by, it could help people identify areas where contributions are needed. There are so

many open issues in redmine that could be addressed by the community, but they're generally lost as newer issues are submitted.

Other than creating a false perception of the developers 'caring', i don't really see the harm in giving users a tool like this. You could even add a

disclaimer to the effect of "the voting system is not used to prioritize issues for the developers, but is used to indicate the popularity of a particular

issue for searching purposes only."

#8 - 2010-11-24 19:51 - Nicolas Gauthier

+1

;)

#9 - 2010-12-17 09:00 - Ngewi Fet

+1 ;)

#10 - 2010-12-17 15:29 - Eric Voisard

+1 Yep, I'd like to know which issues are popular. To see if those I'd like to see implemented have a real chance to be, one day. (I don't believe

contributors don't care of what users need, even if there's a disclaimer :).

It can also give ideas to plug-in developers...

Eric

#11 - 2010-12-17 16:33 - Nicholas Kulikov

+1

Excellent idea! :)
#12 - 2011-01-19 17:47 - Robert Pollak

+1!

I would also find it useful not to get notification mails for "+1" events without further text.

And I like how Lauchpad has an "Affects me, too" instead of a "vote" button. This might reduce the "false impression of someone caring".

#13 - 2011-03-17 17:45 - Tomas Helikar

+1. Also interested in this. Google issue tracker has this feature implemented as stars.

Is there a plan for this feature to be implemented?

#14 - 2011-03-17 21:37 - Terence Mill

+1

This Plugin if quite good - but the vote count column in issue overview and sorting does not work for us in redmine 1.1.2. Issue voting works fine,

every user has one vote per issue - limited.

#15 - 2011-04-30 06:09 - Ebrahim Mohammadi

It is so frustrating when you get an email from redmine.org just to find out someone has put a "+1" under one of your watched issues. So this

feature-request has my +1!

#16 - 2011-04-30 12:51 - Terence Mill

Yes, That it.

Voting shouldn't send notifications mails!

#17 - 2011-05-01 14:25 - Andrew Betts

It's a bit dispiriting to hear Felix Schäfer say that he doesn't care what the community wants, and though that's his prerogative, it also completely

misses the point.  This is a feature request for Redmine, not a request for voting to be implemented just on the Redmine project.  It may not be

wanted for Redmine itself (though it seems ideally suited to it) but a lot of people who use Redmine for their own projects would appreciate the ability

to listen to their users more effectively.

There are obviously a huge number of possible strategies for prioritising issues.  Redmine currently supports setting a priority property on an issue,

where multiple issues may share the same priority, grouping issues into versions, and setting 'precedes'/'follows' links between issues.  None of these

work particularly well if you want to crowd source your issue prioritisation, and also suffer from other problems, such as users unhelpfully classifying

everything as 'urgent'.

The simplest voting system is one vote per person per issue, and the voter simply decides whether to cast it or not.  A voter voting on no issues has

the same impact as a voter voting on all issues.  This helps to solve the crowd source problem, but works best with large democratic crowds where no

subset of users is considered more or less important than the others.  It also prevents a user from indicating how important a feature is to them - they

can only make a binary decision.

A better voting system would support block voting, in which users are granted a fixed number of votes (based on their group, role or individual ID) and

they may distribute them as they wish.  Frequently (at least in my experience) Redmine is used in situations where a project has a small number of

stakeholders of varying levels of importance.  Say the project is a commercial development for a newspaper.  The editor might have ten votes, the

commercial director 5, and the writers three each.  A voter can place more than one vote on a single issue but may not have more than their total vote

allowance 'in play' at any one time.  By shifting your votes as your priorities change, you affect the overall prioritisation of issues.

If you don't need crowd sourcing of prioritisation, but still want to solve the 'everything is high priority' problem, then a drag-drop reordering system is

generally a good solution and is described in #8016.

In summary, my point is that Redmine should consider issue prioritisation as something that requires a case by case strategy for each project, and

while the mechanisms built in at the moment solve some common use cases, they are far from ideal in all cases.  Implementing voting (and indeed

drag-drop reordering) would be a great step towards providing more flexible options.

Andrew

#18 - 2011-05-01 14:36 - Felix Schäfer

Andrew Betts wrote:

It's a bit dispiriting to hear Felix Schäfer say that he doesn't care what the community wants

 Just to clarify: it's not that I didn't care but that I have never seen Redmine development driven by the "popularity" of features, be it real or perceived.

As a side-note, please also be aware that I don't consider myself an active Redmine contributor regarding development, so things might have

changed since then. In any case, and if it hasn't changed since then, Jean-Philippe has the last word in such matters, so if you want to pick names

out, I'm not the right one (anymore), sorry.
#19 - 2011-05-01 15:57 - Robert Pollak

By the way, here is the corresponding (open) issue of the forked ChiliProject.

#20 - 2012-07-23 13:13 - Eric Voisard

The good thing of free software, for their owners/developers, is that it's not their meal-ticket. Therefore they're not constrained by the market, users

needs and competition. They are free to take little care of user feedback and focus on whatever topics that interest them, being them of little real

value. Priorities are not guided by those who actually use the software in the real world.

Popularity of issues/requests is good information. For users and for developers.

It would be a lack of honesty to claim that a mean for having a clear picture of popular user needs would be of no use.

If the owners fear that it would only give a false sense of someone actually caring, then they can simply write a clear notice somewhere (though they

should care actually).

An issue with issues which are popular in this website, apart numerous "+1" comments, is that they're buried into lots of other issues. As it's not easy

to find them out and to sort them by popularity, it causes many duplicates being created and then closed and then new ones created, and discussions

being spread over several similar issues. It causes noise and distraction.

If a PMS is a tool for keeping track of the goals and progress of a project, then this site which is about a PMS should have a "voting" mechanism in

order to keep the developers on track with (or at least well informed on) the stuff that matters to their user base.

#21 - 2012-08-10 16:52 - Fernando Hartmann

+1

Related to #1011

#22 - 2012-08-10 17:13 - William Roush

+1

Being able to sort issue by popularity would be amazing for implementing new features, instead of willy-nilly as someone with coding experience ends

up needing the feature badly.

#23 - 2012-08-10 17:41 - Alex Bevilacqua

I'd like to clarify slightly:

This enhancement request relates to REDMINE.ORG exclusively; it is not a feature request for Redmine.

If an administrator could step in, I'd like to update the title of this issue to [REDMINE.ORG] Implement voting system

I think my original subject wasn't clear enough ...

#24 - 2013-05-26 22:06 - Antoine Beaupré

+1

#25 - 2013-08-14 18:17 - K. Scott Tripp

Have a +1, because it seems there is not a better way to do this right now.  (oh wait...)

#26 - 2013-08-28 23:57 - Sridhar Dhanapalan

Alex Bevilacqua wrote:

I'd like to clarify slightly:

This enhancement request relates to REDMINE.ORG exclusively; it is not a feature request for Redmine.

 Why not? I can see this benefitting any redmine instance.

I've removed myself as a watcher from many issues. Not becuase I'm not interested, but because I keep getting spammed with useless "+1" and "me

too" type posts. If we can improve the signal to noise ratio, I'm sure that we can encourage others to remain engaged in the project.

#27 - 2013-08-29 23:00 - K. Scott Tripp

If I read Alex's comment correctly, then its not really a question of why this shouldn't be for any redmine instance.  There are other tickets (like #1011)

for that though, and the Redmine Vote Plugin can do the job as well.  But while I expect that the majority of users on redmine.org are in fact admins of

their own redmine instances and therefore free to install plugins, we are not admins of redmine.org of course.  So this ticket was a specific request to

have that plugin (or if need be build new core functionality) on redmine.org.

I think redmine.org could benefit from adding issue voting, if for no other reason than helping to clean up the massive number of "+1"s that we see

around here.  While it is certainly true that an open source developer doesn't have to answer to anybody about what problems he or she works to
solve (unless hired on a bounty of course), if somebody wants to give back to a community then having an idea of the community's wants and needs

can be very helpful.

#28 - 2013-08-30 14:11 - Alex Bevilacqua

K. Scott Tripp wrote:

If I read Alex's comment correctly, then its not really a question of why this shouldn't be for any redmine instance.  There are other tickets (like 

#1011) for that though, and the Redmine Vote Plugin can do the job as well.  But while I expect that the majority of users on redmine.org are in

fact admins of their own redmine instances and therefore free to install plugins, we are not admins of redmine.org of course.  So this ticket was a

specific request to have that plugin (or if need be build new core functionality) on redmine.org.

I think redmine.org could benefit from adding issue voting, if for no other reason than helping to clean up the massive number of "+1"s that we

see around here.  While it is certainly true that an open source developer doesn't have to answer to anybody about what problems he or she

works to solve (unless hired on a bounty of course), if somebody wants to give back to a community then having an idea of the community's

wants and needs can be very helpful.

 You hit the nail on the head.

The goal of this proposal was to streamline community interaction with issues on Redmine.org ... period.

The larger the community grows, the more cumbersome this site gets to navigate, and the harder you have to work to isolate useful comments in

growing histories.

A proper voting system (or a way for the community to show support for an issue) would make it a lot easier for new developers to locate starting

points. It also helps expose popular features to prospective plugin authors.

#29 - 2014-07-20 18:15 - Toshi MARUYAMA

- Related to Feature #17288: Use Watcher Count as a poor man's Voting system on redmine.org added

#30 - 2015-11-10 22:21 - Clément AB

Hello,

So is there a good plugin to do that now? :)

thanks in advance

#31 - 2015-12-14 15:43 - Toshi MARUYAMA

- Has duplicate Feature #21519: vote for tickets added

#32 - 2016-02-11 19:12 - Benjamin Schunn

If there would be a feature to vote for features, I would vote for this one... +1

#33 - 2016-02-21 01:09 - Anton Reutov

+1

Please, implement this feature

#34 - 2017-01-27 22:02 - Simon Cruise

+1 <- Feels awkward

#35 - 2017-02-26 16:48 - Toshi MARUYAMA

- Related to Feature #24946: Issue rating (like button or vote up button) added
